<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>News</title>
    <script src="https://use.fontawesome.com/477e743336.js"></script>
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@4.6.0/dist/js/bootstrap.min.js" integrity="sha384-+YQ4JLhjyBLPDQt//I+STsc9iw4uQqACwlvpslubQzn4u2UU2UFM80nGisd026JF" crossorigin="anonymous"></script>
</head>
<style>

button {
color: white;
}
.inline-block{
display: inline-block;
width: 100px;
}

</style>
<body>
    <header class="p-3 bg-dark text-white">
  <div class="container">
    <div class="d-flex flex-wrap align-items-center justify-content-center justify-content-lg-start">
      <a href="/" class="d-flex align-items-center mb-2 mb-lg-0 text-white text-decoration-none">
        <svg class="bi me-2" width="40" height="32"><use xlink:href="#bootstrap"/></svg>
      </a>

      <ul class="nav col-12 col-lg-auto me-lg-auto mb-2 justify-content-center mb-md-0">
        <li><a href="/" class="nav-link px-2 text-secondary">Главная</a></li>
          <li><a href="/?most_viewed=1" class="nav-link px-2 text-white">Самое просматриваемое</a></li>

          {% if user.is_authenticated %}
          <li><a href="/?favorite=1" class="nav-link px-2 text-white">Избранное</a></li>
          <li><a href="/?history=1" class="nav-link px-2 text-white">История просмотров</a></li>
          {% endif %}
        <li><a href="/?popular=1" class="nav-link px-2 text-white">Популярное</a></li>

      </ul>


      <div class="text-end">
          {% if not user.is_authenticated %}
        <a href="{% url 'login' %}" type="button" class="btn btn-outline-light mt-1">Войти</a>
        <a href="{% url 'register' %}" type="button" class="btn btn-outline-light btn-warning mt-1">Зарегестрироваться</a>
          {% else %}
          <span class="ml-4 mt-2 "> Добрый день,

              {{user.username}}

          </span>
          <a href="{% url 'logout' %}" type="button" class="btn ml-2 inline-block btn-warning">Выйти</a>
          {% endif %}

      </div >
         <form class="ml-4 containter justify-content-center col-12 col-lg-auto mb-3 mb-lg-0 me-lg-3">
        <input name="search" type="search" class="form-control form-control-dark" placeholder="Поиск...">
      </form>

    </div>

  </div>

</header>
    {% block content %}
    {% endblock %}

    {% block dynamic %}
    {% endblock %}

</body>
</html>